package cn.estsh.i3plus.pojo.mes.pcn.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: Crish
 * @CreateDate:2019-04-26-10:25
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PRODUCE_CATEGORY")
@Api("系统业务动作")
public class MesProduceCategory extends BaseBean {

    @Column(name = "PRODUCE_CTGY_CODE")
    @ApiParam("产品类型代码")
    private String produceCategoryCode;

    @Column(name = "PRODUCE_CTGY_NAME")
    @ApiParam("产品类型名称")
    private String produceCategoryName;
}
