package cn.estsh.i3plus.pojo.model.wms;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description 定时任务参数解析Model
 * @Reference
 * @Author dragon
 * @CreateDate 2019/7/17 16:25
 * @Modify
 */
@Data
public class WmsJobParamModel implements Serializable {
    private static final long serialVersionUID = 5784492509251527816L;
    private String organizeCode;//工厂代码
    private List<String> zonesNoList;//存储区编号
    private Integer snType;//条码类型（虚拟，实物）
    private String devOpsEmail;//运维人员邮箱
    private Integer minuteDiff;//处理周期(分钟)

    public int getMinuteDiffVal() {
        return this.minuteDiff == null ? 0 : this.minuteDiff.intValue();
    }
}
