package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : WMS列表菜单model
 * @Reference :
 * @Author : sjc
 * @CreateDate : 2020-01-07 14:33
 * @Modify:
 **/
@Data
@Api("WMS列表菜单model")
public class WmsListElementModel extends BaseBean {

    @ApiParam("字段名称")
    private String fieldName;

    @ApiParam("标题名称")
    private String titleName;

    @ApiParam("序列号:字段标题排序使用默认0（不排序）")
    private Integer seq;

    @ApiParam(value = "是否必选:默认1-必选，2-非必选")
    private Integer isRequire;

    @ApiParam(value = "宽度")
    private Double width;

    @ApiParam(value = "排序规则:默认0-不排序，1-升序2-降序")
    private Integer sort;

    @ApiParam(value = "是否加粗:默认1-加粗，2-非加粗")
    private Integer isWider;

    @ApiParam(value = "是否勾选:默认1-勾选，2-非勾选")
    private Integer isSelect;

    @ApiParam(value = "表单字段默认值")
    private String defaultValue;

    @ApiParam(value = "功能菜单ID")
    private Long functionId;

    @ApiParam(value = "用户编号")
    private String userCode;

    @ApiParam(value = "是否默认配置")
    private Integer isDefault;

}
