package cn.estsh.i3plus.pojo.model.wms;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description SAP DB操作参数Model
 * @Reference
 * @Author dragon
 * @CreateDate 2020/1/2 11:23
 * @Modify
 */
@Data
public class WmsSapDbParamModel implements Serializable {
    private static final long serialVersionUID = 5784492509251527816L;
    private String organizeCode;//工厂代码
    private String orderNo;//单号
    private String partNo;//物料号
    private String masterTableName;//单据主表名
    private String masterStatusName;//单据状态名
    private String detailsTableName;//单据明细表名
    private String snTableName;//单据条码表名
}
