package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : WMS列表搜索model
 * @Reference :
 * @Author : sjc
 * @CreateDate : 2020-01-07 14:33
 * @Modify:
 **/
@Data
@Api("WMS列表搜索model")
public class WmsSearchElementModel extends BaseBean {

    @ApiParam("字段名称")
    private String fieldName;

    @ApiParam("标题名称")
    private String titleName;

    @ApiParam(value = "条件表达式:>,<,>=等")
    private String conditionExpre;

    @ApiParam(value = "检索值")
    private String value;

    @ApiParam(value = "条件连接符:and/or")
    private String conditionConnector;

    @ApiParam(value = "功能菜单ID")
    private Long functionId;

    @ApiParam(value = "组名称")
    private String groupName;

    @ApiParam(value = "组条件连接符")
    private String groupConnector;

    @ApiParam(value = "用户编号")
    private String userCode;

    @ApiParam(value = "是否共享")
    private Integer isShare;

    @ApiParam(value = "搜索名称")
    private String searchName;
}
